Busca documento por ID em qualquer coleção configurada (v2)
curl --request GET \
--url https://services.pref.rio/app-busca-search/api/v2/search/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://services.pref.rio/app-busca-search/api/v2/search/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://services.pref.rio/app-busca-search/api/v2/search/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collection": "<string>",
"data": {},
"id": "<string>",
"score_info": {
"final_score": 123,
"hybrid_score": 123,
"passed_threshold": true,
"recency_factor": 123,
"text_match_normalized": 123,
"threshold_applied": "<string>",
"threshold_value": 123,
"vector_similarity": 123
},
"type": "<string>"
}{}{}{}search-v2
Busca documento por ID em qualquer coleção configurada (v2)
Retorna documento de qualquer coleção configurada. Se ‘collection’ fornecido como query param, tenta buscar nessa coleção primeiro. Caso contrário, busca em todas as coleções configuradas.
GET
/
api
/
v2
/
search
/
{id}
Busca documento por ID em qualquer coleção configurada (v2)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID do documento (UUID)
Query Parameters
Collection hint para busca otimizada
